Index: gui/minimal_macosx/macosx.c
===================================================================
--- gui/minimal_macosx/macosx.c	(revision 22267)
+++ gui/minimal_macosx/macosx.c	(working copy)
@@ -58,7 +58,13 @@
         /* Will be loaded even without interface module. see voutgl.m */
         set_description( _("Minimal Mac OS X OpenGL video output (opens a borderless window)") );
         set_capability( "opengl provider", 50 );
-        set_category( CAT_VIDEO);
+
+        /* Hack: Allows for opengl module to directly reference this provider module, otherwise it will use the 
+           full up macosx_plugin. */
+        add_shortcut( _("provider_cocoa") );
+        /* Hack */
+        
+         set_category( CAT_VIDEO);
         set_subcategory( SUBCAT_VIDEO_VOUT );
         set_callbacks( E_(OpenVideoGL), E_(CloseVideoGL) );
 vlc_module_end();
Index: video_output/opengl.c
===================================================================
--- video_output/opengl.c	(revision 22267)
+++ video_output/opengl.c	(working copy)
@@ -167,6 +167,12 @@
 #define EFFECT_LONGTEXT N_( \
     "Several visual OpenGL effects are available." )
 
+/* Hack: Allows for opengl module to directly reference this provider module, otherwise it will use the 
+   full up macosx_plugin. */
+#define PROVIDER_TEXT N_("OpenGL Provider")
+#define PROVIDER_LONGTEXT N_("Allows you to modify what OpenGL provider should be used")
+/* Hack */
+
 #ifndef OPENGL_MORE_EFFECT
 static const char *ppsz_effects[] = {
         "none", "cube", "transparent-cube" };
@@ -185,6 +191,13 @@
     set_capability( "video output", 20 );
 #endif
     add_shortcut( "opengl" );
+
+    /* Hack: Allows for opengl module to directly reference this provider module, otherwise it will use the 
+       full up macosx_plugin. */
+    add_string( "opengl-provider", "default", NULL, PROVIDER_TEXT, 
+                    PROVIDER_LONGTEXT, VLC_TRUE );
+    /* Hack */
+    
     add_float( "opengl-cube-speed", 2.0, NULL, SPEED_TEXT,
                     SPEED_LONGTEXT, VLC_TRUE );
 #ifdef OPENGL_MORE_EFFECT
@@ -280,8 +293,29 @@
     p_sys->p_vout->b_scale = p_vout->b_scale;
     p_sys->p_vout->i_alignment = p_vout->i_alignment;
 
+    /* Hack */
+    vlc_value_t val;
+    
+    var_Create( p_vout, "opengl-provider", VLC_VAR_STRING | VLC_VAR_DOINHERIT );
+    var_Get( p_vout, "opengl-provider", &val );
+
+    if( !val.psz_string || strcmp( val.psz_string, "default" ) == 0 || strcmp( val.psz_string, "none" ) == 0 )
+    {
+        msg_Dbg( p_vout, "requesting \"default\" opengl provider" );
+    }
+    else
+    {
+        msg_Dbg( p_vout, "requesting \"%s\" opengl provider", val.psz_string );
+    }
+
     p_sys->p_vout->p_module =
-        module_Need( p_sys->p_vout, "opengl provider", NULL, 0 );
+        module_Need( p_sys->p_vout, "opengl provider", val.psz_string, 0 );
+    if( val.psz_string ) free( val.psz_string );
+
+    /* Hack */
+
+    // p_sys->p_vout->p_module =
+    //     module_Need( p_sys->p_vout, "opengl provider", NULL, 0 );
     if( p_sys->p_vout->p_module == NULL )
     {
         msg_Warn( p_vout, "No OpenGL provider found" );
